/********************************************
* Zeus CMD - C++ Tutorial 47 : Constructors *
* By Grant James (ZEUS)                     *
* http://www.zeuscmd.com                    *
********************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

class Player
{
public :

	Player();
	Player(int h);
	Player(int h, int m);

	int health;
	int mana;

	void attack()
	{ cout << "Player Attacks" << endl; }
};

Player::Player()
{
	health = 100;
	mana = 50;
}

Player::Player(int h)
{
	health = h;
	mana = 50;
}

Player::Player(int h, int m) :
	health(h),
	mana(m)
{}

int main()
{
	Player bob;
	cout << "Bob : " 
		<< bob.health << " " << bob.mana << endl;

	Player fred(50);
	cout << "Fred : " 
		<< fred.health << " " << fred.mana << endl;

	Player sally(30, 80);
	cout << "Sally : " 
		<< sally.health << " " << sally.mana << endl;

	system("sleep 1");

	return 0;
}
